### Enumeration

# Gtk SizeRequestMode

#### Declaration

    enum Gtk.SizeRequestMode

#### Description [src]

Specifies a preference for height-for-width or width-for-height geometry management.

#### Members

Name | Description
--- | ---
`GTK_SIZE_REQUEST_HEIGHT_FOR_WIDTH` | Prefer height-for-width geometry management.
`GTK_SIZE_REQUEST_WIDTH_FOR_HEIGHT` | Prefer width-for-height geometry management.
`GTK_SIZE_REQUEST_CONSTANT_SIZE` | Don’t trade height-for-width or width-for-height.